diff -ur amarok-1.4.6/amarok/src/mediadevice/njb/njbmediadevice.cpp amarok-1.4.6-r1/amarok/src/mediadevice/njb/njbmediadevice.cpp
--- amarok-1.4.6/amarok/src/mediadevice/njb/njbmediadevice.cpp	2007-06-17 15:51:49.000000000 -0400
+++ amarok-1.4.6-r1/amarok/src/mediadevice/njb/njbmediadevice.cpp	2007-06-26 00:58:53.370028495 -0400
@@ -201,6 +201,7 @@
         return true;
 
     QString genericError = i18n( "Could not connect to Nomad device" );
+    NJB_Set_Unicode( NJB_UC_UTF8 ); // I assume that UTF-8 is fine with everyone...
 
     int n;
     if( NJB_Discover( njbs, 0, &n) == -1 || n == 0 )
@@ -882,7 +883,6 @@
 
     if( m_connected )
     {
-        NJB_Set_Unicode( NJB_UC_UTF8 ); // I assume that UTF-8 is fine with everyone...
         tracksFound = i18n( "1 track found on device",
                             "%n tracks found on device ", trackList.size() );
         powerStatus = ( (NJB_Get_Auxpower( m_njb ) == 1) ? i18n("On auxiliary power") : i18n("On main power") );
diff -ur amarok-1.4.6/amarok/src/mediadevice/njb/track.cpp amarok-1.4.6-r1/amarok/src/mediadevice/njb/track.cpp
--- amarok-1.4.6/amarok/src/mediadevice/njb/track.cpp	2007-06-17 15:51:49.000000000 -0400
+++ amarok-1.4.6-r1/amarok/src/mediadevice/njb/track.cpp	2007-06-26 01:04:24.682484703 -0400
@@ -32,7 +32,6 @@
 /* ------------------------------------------------------------------------ */
 NjbTrack::NjbTrack( njb_songid_t* song)
 {
-
     njb_songid_frame_t* frame;
 
     m_id = song->trid;
@@ -65,7 +64,7 @@
     frame = NJB_Songid_Findframe( song, FR_ARTIST );
     if( frame )
     {
-        QString artist = frame->data.strval;
+        QString artist = QString::fromUtf8( frame->data.strval );
         artist.replace( QRegExp( "/" ), "-" );
         bundle->setArtist( artist );
     }
@@ -75,7 +74,7 @@
     frame = NJB_Songid_Findframe( song, FR_ALBUM );
     if( frame)
     {
-        QString album = frame->data.strval;
+        QString album = QString::fromUtf8( frame->data.strval );
         album.replace( QRegExp( "/" ), "-" );
         bundle->setAlbum( album );
     }
@@ -85,7 +84,7 @@
     frame = NJB_Songid_Findframe( song, FR_TITLE);
     if( frame )
     {
-        QString title = frame->data.strval;
+        QString title = QString::fromUtf8( frame->data.strval );
         title.replace( QRegExp( "/"), "-");
         bundle->setTitle( title );
     }
@@ -104,7 +103,7 @@
             bundle->setTrack( frame->data.u_int32_val );
             break;
         case NJB_TYPE_STRING:
-            bundle->setTrack( QString(frame->data.strval).toUInt() );
+            bundle->setTrack( QString::fromUtf8(frame->data.strval).toUInt() );
             break;
         default:
             bundle->setTrack( 0 );
@@ -134,7 +133,7 @@
     if( frame )
     {
         //bundle->setUrl( KURL( frame->data.strval ) );
-        filename = frame->data.strval;
+        filename = QString::fromUtf8( frame->data.strval );
 
     }
     if( filename.isEmpty() )
@@ -157,7 +156,7 @@
             bundle->setYear( frame->data.u_int32_val );
             break;
         case NJB_TYPE_STRING:
-            bundle->setYear( QString( frame->data.strval ).toInt() );
+            bundle->setYear( QString::fromUtf8( frame->data.strval ).toInt() );
             break;
         default:
             bundle->setYear( 0 );
